Bug 219789 - Remove hpi-specific functionality from hudson.maven
Remove hpi-specific functionality from hudson.maven
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
7.2
All All
: P2 (vote)
: 7.3
Assigned To: Jaroslav Havlin
issues@connecteddeveloper
https://wiki.jenkins-ci.org/display/J...
: PATCH_AVAILABLE
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-10 02:08 UTC by Jesse Glick
Modified: 2012-12-04 03:16 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments
Proposed patch (23.12 KB, patch)
2012-10-10 02:08 UTC, Jesse Glick
Details | Diff
Revised patch (29.81 KB, patch)
2012-12-01 00:05 UTC, Jesse Glick
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2012-10-10 02:08:47 UTC
Created attachment 125656 [details]
Proposed patch

This module serves two distinct functions (historically it seemed like overkill to make two modules out of it):

1. Makes it possible to use Maven projects with the IDE’s Hudson integration.

2. Offers some assistance writing Hudson plugins.

The second part is poorly maintained here and too cumbersome to develop in the NetBeans IDE proper. I am working on moving it to an externally hosted plugin suite which already has some related functionality, to try to get the NetBeans support on par with IntelliJ. For that to happen the old code in hudson.maven should be removed. (The new plugin currently masks these services so it can run on NB 7.2.)
Comment 1 Jesse Glick 2012-12-01 00:05:33 UTC
Created attachment 128683 [details]
Revised patch

Now includes a ProjectProblemsProvider impl that at least notifies you of where the new plugin lives. Does not yet try to install it from PP, but probably OK for now. I have uploaded the new plugin to PP with signature and am awaiting verification for 7.2.
Comment 2 Jaroslav Havlin 2012-12-03 10:20:06 UTC
Integrated as http://hg.netbeans.org/core-main/rev/247249469654
Thank you for creating the patch, Jesse.
Comment 3 Quality Engineering 2012-12-04 03:16:26 UTC
Integrated into 'main-golden', will be available in build *201212040001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/247249469654
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #219789: Remove hpi-specific functionality from hudson.maven


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo